/* Write structured lines to non-blocking stdout */

/*! \file out.c
**  \brief Generate a test input for elvisdbg.
**
** The `out' program writes structured lines to non-blocking stdout.
*/

#include <fcntl.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

/*! main -- main function of out.c.
** \returns 0: Always
*/

int main(void)
{
  int flg, fd = 1;
  char *pc;

  flg = fcntl(fd, F_GETFL); 
  (void) fcntl(fd, F_SETFL, flg | O_NONBLOCK); 

  pc ="ENODE 4 0x08257ff8 0x08254a08 0x00000000 /home/user/Elvis guignome.c 692 7\n";
  write(fd, pc, strlen(pc));
  pc ="ENODE 3 0x082574e0 0x08258c00 0x00000000 /home/user/Elvis guignome.h 680 6\n";
  write(fd, pc, strlen(pc));
  pc ="ENODE 2 0x08256fb8 0x08257ff8 0x00000000 /usr/projects sub.c 668 5\n";
  write(fd, pc, strlen(pc));
  pc ="ENODE 1 0x08254a08 0x082574e0 0x00000000 /usr/projects template.c 656 4\n";
  write(fd, pc, strlen(pc));
  pc ="ENODE 0 0x08258c00 0x08256fb8 0x00000000 /usr/projects draw.c 644 3\n";
  write(fd, pc, strlen(pc));

  return 0;
}

/* EOF */

